summaryrefslogtreecommitdiff
path: root/isabat
diff options
context:
space:
mode:
authorstuebinm2021-09-04 16:08:26 +0200
committerstuebinm2021-09-04 16:08:26 +0200
commit531dc149df8c1ba62ee7875f819a94d789935385 (patch)
treebf9b9a169eb7cb6aae0ea258905d8b2e053f8f55 /isabat
parentc914a1532b86b95b89e48ef8a1e43657194ff0dd (diff)
add isabat script
This just calls the isabelle2nix util and pipes its output directly into bat, resulting in a somewhat usable cli tool for .thy files.
Diffstat (limited to 'isabat')
-rwxr-xr-xisabat12
1 files changed, 12 insertions, 0 deletions
diff --git a/isabat b/isabat
new file mode 100755
index 0000000..12efd1d
--- /dev/null
+++ b/isabat
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+if [ $# -eq 0 ]
+then
+ echo "isabat: pretty-print isabelle theories on a terminal using bat."
+ echo ""
+ echo "please provide a .thy file to display."
+ exit
+fi
+
+cat "$1" | isabelle2unicode | bat --file-name "$1" --theme TwoDark